NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.AestheticFaceBlendBuilder Class Reference

This class will provide ability to create aesthetically pleasing blend surfaces on sheet and solid bodies. More...

Inheritance diagram for NXOpen.Features.AestheticFaceBlendBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  AlignmentType { RollingBall, SpineCurve, Vector }
 Alignment method provides the ability to align the cross sections of the blend in the user specified direction More...
 
enum  BlendFacesType { TrimtoAllInputFaces, TrimtoShortInputFaces, TrimtoLongInputFaces, DoNotTrimBlendFaces }
 Trimming options More...
 
enum  BlendType { Radius, ChordLength }
 Tangent method will create tangent lines based on the method employed. More...
 
enum  CenterType { CenterRadius, Rho }
 Center methods will define peak of the blend More...
 
enum  EndTrimObjectType { None, Plane, Face }
 End object overriding trim options More...
 
enum  RhoType { Relative, Absolute }
 Rho options More...
 
enum  SegmentationType { AtAllTransitions, AtTransitionsonFaceChain1, AtTransitionsonFaceChain2, AtAllTransitionsandMergeSmallBlendFaces }
 Segmentations options More...
 
enum  ShapeType { Accelerated, Circular }
 Shape methods will define the high level shape of the blend cross section. More...
 
enum  StartTrimObjectType { None, Plane, Face }
 Start object overriding trim options More...
 

Properties

unsafe
NXOpen.Features.AestheticFaceBlendBuilder.AlignmentType 
AlignmentOption [get, set]
 Returns or sets the alignment option More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
BaseRadiusLaw [get]
 Returns the base radius law variable More...
 
unsafe
NXOpen.Features.AestheticFaceBlendBuilder.BlendFacesType 
BlendFacesOption [get, set]
 Returns or sets the blend faces option More...
 
unsafe
NXOpen.Features.AestheticFaceBlendBuilder.BlendType 
BlendOption [get, set]
 Returns or sets the method option More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
CenterChordLaw [get]
 Returns the center chord law More...
 
unsafe
NXOpen.Features.AestheticFaceBlendBuilder.CenterType 
CenterOption [get, set]
 Returns or sets the center option More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
CenterRadiusLaw [get]
 Returns the center radius law More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
Chain1Continuity [get]
 Returns the chain 1 continuity More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
Chain2Continuity [get]
 Returns the chain 2 continuity More...
 
unsafe NXOpen.Expression ChordLength [get]
 Returns the chord length More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
ChordLengthLaw [get]
 Returns the chord length law variable More...
 
unsafe NXOpen.Point ConstrainedEndPoint1 [get, set]
 Returns or sets the end point1 More...
 
unsafe NXOpen.Point ConstrainedEndPoint2 [get, set]
 Returns or sets the end point2 More...
 
unsafe NXOpen.Point ConstrainedStartPoint1 [get, set]
 Returns or sets the start point1 More...
 
unsafe NXOpen.Point ConstrainedStartPoint2 [get, set]
 Returns or sets the start point2 More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
Continuity [get]
 Returns the continuity More...
 
unsafe double CurvatureTolerance [get, set]
 Returns or sets the curvature tolerance More...
 
unsafe
NXOpen.GeometricUtilities.DegreesAndSegmentsOrPatchesBuilder 
Degrees [get]
 Returns the degrees More...
 
unsafe NXOpen.ScCollector FaceChain1 [get]
 Returns the face chain1 More...
 
unsafe NXOpen.ScCollector FaceChain2 [get]
 Returns the face chain2 More...
 
unsafe bool IsAccelerated [get, set]
 Returns or sets the method to control the shape More...
 
unsafe bool IsBezier [get, set]
 Returns or sets the bezier More...
 
unsafe bool IsCenterlineCurve [get, set]
 Returns or sets the centerline curve More...
 
unsafe bool IsMinimumRadius [get, set]
 Returns or sets the is min radius More...
 
unsafe bool IsMinimumSubtendedAngle [get, set]
 Returns or sets the minimum subtended angle flag More...
 
unsafe bool IsRationalOutput [get, set]
 Returns or sets the rational output More...
 
unsafe bool IsSameTransition [get, set]
 Returns or sets the blend cross section is using the same transition as blend tangent or not More...
 
unsafe bool IsSewAllFaces [get, set]
 Returns or sets the is sew faces More...
 
unsafe bool IsTrimInputFaces [get, set]
 Returns or sets the is trim faces More...
 
unsafe bool IsWashout1 [get, set]
 Returns or sets the washout1 More...
 
unsafe bool IsWashout2 [get, set]
 Returns or sets the toggle washout2 More...
 
unsafe
NXOpen.GeometricUtilities.BlendLimitsData 
LimitsList [get]
 Returns the trim object collector list More...
 
unsafe double MinimumEdgeLength [get, set]
 Returns or sets the max edge length More...
 
unsafe NXOpen.Expression MinimumRadius [get]
 Returns the min radius More...
 
unsafe double MinimumSubtendedAngle [get, set]
 Returns or sets the minimum subtended angle More...
 
unsafe NXOpen.Section ParameterSpine [get]
 Returns the parameter spine More...
 
unsafe double PositionTolerance [get, set]
 Returns or sets the position tolerance More...
 
unsafe double RelativeEndBlendEndPoint [get, set]
 Returns or sets the relative end point on the washout curve of end blend. More...
 
unsafe double RelativeEndBlendStartPoint [get, set]
 Returns or sets the relative start point on the washout curve of end blend. More...
 
unsafe double RelativeStartBlendEndPoint [get, set]
 Returns or sets the relative end point on the washout curve of start blend. More...
 
unsafe double RelativeStartBlendStartPoint [get, set]
 Returns or sets the relative start point on the washout curve of start blend. More...
 
unsafe bool ReverseNormal1 [get, set]
 Returns or sets the reverse normal1 More...
 
unsafe bool ReverseNormal2 [get, set]
 Returns or sets the reverse normal2 More...
 
unsafe
NXOpen.Features.AestheticFaceBlendBuilder.RhoType 
RhoOption [get, set]
 Returns or sets the rho option More...
 
unsafe double RhoValue [get, set]
 Returns or sets the rho value More...
 
unsafe NXOpen.Direction SectionAlignmentVector [get, set]
 Returns or sets the section alignment vector More...
 
unsafe NXOpen.Expression SectionScaling1 [get]
 Returns the section scaling More...
 
unsafe NXOpen.Expression SectionScaling2 [get]
 Returns the section scaling2 More...
 
unsafe
NXOpen.Features.AestheticFaceBlendBuilder.SegmentationType 
SegmentationOption [get, set]
 Returns or sets the segmentation option More...
 
unsafe
NXOpen.Features.AestheticFaceBlendBuilder.ShapeType 
ShapeOption [get, set]
 Returns or sets the shape option More...
 
unsafe
NXOpen.GeometricUtilities.TangentMagnitudeBuilder 
TangentMagnitude [get]
 Returns the tangent magnitude More...
 
unsafe double TangentTolerance [get, set]
 Returns or sets the tangent tolerance More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

This class will provide ability to create aesthetically pleasing blend surfaces on sheet and solid bodies.

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateAestheticFaceBlendBuilder

Default values.

Property Value

AlignmentOption

RollingBall

BaseRadiusLaw.Function

ft

BaseRadiusLaw.LawType

MultiTransition

BaseRadiusLaw.Parameter

t

BlendFacesOption

TrimtoAllInputFaces

BlendOption

Radius

CenterChordLaw.LawType

Constant

CenterOption

CenterRadius

CenterRadiusLaw.LawType

MultiTransition

Chain1Continuity.ContinuityType

G1

Chain2Continuity.ContinuityType

G1

ChordLength.Value (deprecated)

10 (millimeters part), 0.4 (inches part)

ChordLengthLaw.LawType

Constant

Continuity.ContinuityType (deprecated)

G1

CurvatureTolerance

0.5

Degrees.Degree

3

Degrees.SegmentsOrPatches

1

Degrees.UDegree

5

Degrees.UPatches

1

Degrees.VDegree

5

Degrees.VPatches

1

IsAccelerated

1

IsBezier

0

IsCenterlineCurve

0

IsMinimumRadius

0

IsMinimumSubtendedAngle

0

IsRationalOutput

0

IsSameTransition

1

IsSewAllFaces

0

IsTrimInputFaces

0

IsWashout1

0

IsWashout2

0

MinimumEdgeLength

10

MinimumRadius.Value

2.5 (millimeters part), 0.098 (inches part)

MinimumSubtendedAngle

5.0

RhoOption

Relative

RhoValue

0.6

SectionScaling1.Value

1

SectionScaling2.Value

1

SegmentationOption

AtAllTransitions

ShapeOption (deprecated)

Accelerated

Created in NX7.5.0

Member Enumeration Documentation

Alignment method provides the ability to align the cross sections of the blend in the user specified direction

Enumerator
RollingBall 

Rolling Ball option will align the sections at contact point.

SpineCurve 

Spine Curve option will align the sections based on a string of curves.

Vector 

Vector option will align the sections based on the vector

Trimming options

Enumerator
TrimtoAllInputFaces 

Trims all input faces.

TrimtoShortInputFaces 

Trims short input faces.

TrimtoLongInputFaces 

Trims long input faces.

DoNotTrimBlendFaces 

This option controls to trim blend faces or not

Tangent method will create tangent lines based on the method employed.

Enumerator
Radius 

Radius of the rolling ball is used to create the tangent lines.

ChordLength 

Chord Length will keep the appearance of a constant width blend through areas which have changing angles between the input walls.

Center methods will define peak of the blend

Enumerator
CenterRadius 

Center radius option.

Rho 

Rho is the ratio of the center radius and the base radius.

End object overriding trim options

Enumerator
None 

Does not override end trim object.

Plane 

Overrides end trim object with plane.

Face 

Override end trim object with face.

Rho options

Enumerator
Relative 

Relative Rho: it's the ratio of BaseRadius/(BaseRadius + CenterRadius)

Absolute 

Absolute Rho: does not take into account the subtended angle

Segmentations options

Enumerator
AtAllTransitions 

Segmentation at all transitions

AtTransitionsonFaceChain1 

Segmentation at Face Chain1 transition

AtTransitionsonFaceChain2 

Segementation at Face Chain2 transition

AtAllTransitionsandMergeSmallBlendFaces 

Secgmentation at all transitions and merge small blend faces

Shape methods will define the high level shape of the blend cross section.

Enumerator
Accelerated 

Accelerated option will generate more shapes depending on the size of the center radius and continuity specified.

Circular 

Circular option will always generate a constant radius arc shape.

Start object overriding trim options

Enumerator
None 

Does not override start trim object.

Plane 

Overrides start trim object with plane.

Face 

Override start trim object with face.

Property Documentation

unsafe NXOpen.Features.AestheticFaceBlendBuilder.AlignmentType NXOpen.Features.AestheticFaceBlendBuilder.AlignmentOption
getset

Returns or sets the alignment option

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.AestheticFaceBlendBuilder.BaseRadiusLaw
get

Returns the base radius law variable

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Features.AestheticFaceBlendBuilder.BlendFacesType NXOpen.Features.AestheticFaceBlendBuilder.BlendFacesOption
getset

Returns or sets the blend faces option

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.AestheticFaceBlendBuilder.BlendType NXOpen.Features.AestheticFaceBlendBuilder.BlendOption
getset

Returns or sets the method option

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.AestheticFaceBlendBuilder.CenterChordLaw
get

Returns the center chord law

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Features.AestheticFaceBlendBuilder.CenterType NXOpen.Features.AestheticFaceBlendBuilder.CenterOption
getset

Returns or sets the center option

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.AestheticFaceBlendBuilder.CenterRadiusLaw
get

Returns the center radius law

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.AestheticFaceBlendBuilder.Chain1Continuity
get

Returns the chain 1 continuity

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.AestheticFaceBlendBuilder.Chain2Continuity
get

Returns the chain 2 continuity

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.AestheticFaceBlendBuilder.ChordLength
get

Returns the chord length

Created in NX7.5.0

Deprecated in NX8.0.0. Use Features.AestheticFaceBlendBuilder.ChordLengthLaw instead.

License requirements: None.

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.AestheticFaceBlendBuilder.ChordLengthLaw
get

Returns the chord length law variable

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.AestheticFaceBlendBuilder.ConstrainedEndPoint1
getset

Returns or sets the end point1

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Point NXOpen.Features.AestheticFaceBlendBuilder.ConstrainedEndPoint2
getset

Returns or sets the end point2

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Point NXOpen.Features.AestheticFaceBlendBuilder.ConstrainedStartPoint1
getset

Returns or sets the start point1

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Point NXOpen.Features.AestheticFaceBlendBuilder.ConstrainedStartPoint2
getset

Returns or sets the start point2

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.AestheticFaceBlendBuilder.Continuity
get

Returns the continuity

Created in NX7.5.0

Deprecated in NX8.0.0. Use Features.AestheticFaceBlendBuilder.Chain1Continuity and Features.AestheticFaceBlendBuilder.Chain2Continuity instead.

License requirements: None.

unsafe double NXOpen.Features.AestheticFaceBlendBuilder.CurvatureTolerance
getset

Returns or sets the curvature tolerance

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.DegreesAndSegmentsOrPatchesBuilder NXOpen.Features.AestheticFaceBlendBuilder.Degrees
get

Returns the degrees

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.AestheticFaceBlendBuilder.FaceChain1
get

Returns the face chain1

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.AestheticFaceBlendBuilder.FaceChain2
get

Returns the face chain2

Created in NX7.5.0

License requirements: None.

unsafe bool NXOpen.Features.AestheticFaceBlendBuilder.IsAccelerated
getset

Returns or sets the method to control the shape

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.AestheticFaceBlendBuilder.IsBezier
getset

Returns or sets the bezier

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.AestheticFaceBlendBuilder.IsCenterlineCurve
getset

Returns or sets the centerline curve

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.AestheticFaceBlendBuilder.IsMinimumRadius
getset

Returns or sets the is min radius

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.AestheticFaceBlendBuilder.IsMinimumSubtendedAngle
getset

Returns or sets the minimum subtended angle flag

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.AestheticFaceBlendBuilder.IsRationalOutput
getset

Returns or sets the rational output

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.AestheticFaceBlendBuilder.IsSameTransition
getset

Returns or sets the blend cross section is using the same transition as blend tangent or not

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.AestheticFaceBlendBuilder.IsSewAllFaces
getset

Returns or sets the is sew faces

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.AestheticFaceBlendBuilder.IsTrimInputFaces
getset

Returns or sets the is trim faces

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.AestheticFaceBlendBuilder.IsWashout1
getset

Returns or sets the washout1

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.AestheticFaceBlendBuilder.IsWashout2
getset

Returns or sets the toggle washout2

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.BlendLimitsData NXOpen.Features.AestheticFaceBlendBuilder.LimitsList
get

Returns the trim object collector list

Created in NX8.0.0

License requirements: None.

unsafe double NXOpen.Features.AestheticFaceBlendBuilder.MinimumEdgeLength
getset

Returns or sets the max edge length

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Expression NXOpen.Features.AestheticFaceBlendBuilder.MinimumRadius
get

Returns the min radius

Created in NX7.5.0

License requirements: None.

unsafe double NXOpen.Features.AestheticFaceBlendBuilder.MinimumSubtendedAngle
getset

Returns or sets the minimum subtended angle

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Section NXOpen.Features.AestheticFaceBlendBuilder.ParameterSpine
get

Returns the parameter spine

Created in NX7.5.0

License requirements: None.

unsafe double NXOpen.Features.AestheticFaceBlendBuilder.PositionTolerance
getset

Returns or sets the position tolerance

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe double NXOpen.Features.AestheticFaceBlendBuilder.RelativeEndBlendEndPoint
getset

Returns or sets the relative end point on the washout curve of end blend.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe double NXOpen.Features.AestheticFaceBlendBuilder.RelativeEndBlendStartPoint
getset

Returns or sets the relative start point on the washout curve of end blend.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe double NXOpen.Features.AestheticFaceBlendBuilder.RelativeStartBlendEndPoint
getset

Returns or sets the relative end point on the washout curve of start blend.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe double NXOpen.Features.AestheticFaceBlendBuilder.RelativeStartBlendStartPoint
getset

Returns or sets the relative start point on the washout curve of start blend.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.AestheticFaceBlendBuilder.ReverseNormal1
getset

Returns or sets the reverse normal1

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.AestheticFaceBlendBuilder.ReverseNormal2
getset

Returns or sets the reverse normal2

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.AestheticFaceBlendBuilder.RhoType NXOpen.Features.AestheticFaceBlendBuilder.RhoOption
getset

Returns or sets the rho option

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe double NXOpen.Features.AestheticFaceBlendBuilder.RhoValue
getset

Returns or sets the rho value

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Direction NXOpen.Features.AestheticFaceBlendBuilder.SectionAlignmentVector
getset

Returns or sets the section alignment vector

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Expression NXOpen.Features.AestheticFaceBlendBuilder.SectionScaling1
get

Returns the section scaling

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.AestheticFaceBlendBuilder.SectionScaling2
get

Returns the section scaling2

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Features.AestheticFaceBlendBuilder.SegmentationType NXOpen.Features.AestheticFaceBlendBuilder.SegmentationOption
getset

Returns or sets the segmentation option

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.AestheticFaceBlendBuilder.ShapeType NXOpen.Features.AestheticFaceBlendBuilder.ShapeOption
getset

Returns or sets the shape option

Created in NX7.5.0

Deprecated in NX8.0.0. Use Features.AestheticFaceBlendBuilder.IsAccelerated instead.

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.TangentMagnitudeBuilder NXOpen.Features.AestheticFaceBlendBuilder.TangentMagnitude
get

Returns the tangent magnitude

Created in NX8.0.0

License requirements: None.

unsafe double NXOpen.Features.AestheticFaceBlendBuilder.TangentTolerance
getset

Returns or sets the tangent tolerance

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.